{{#each @value as |buttonItem index|}}
  <div class="button-section">
    <Editor::Properties::ButtonContentOptions @space={{@space}} @value={{buttonItem}} @onChange={{fn this.buttonChanged index}} />

    <Editor::Properties::ButtonStyleOptions @deviceSize={{@deviceSize}} @space={{@space}} @onDeviceSizeChange={{@onDeviceSizeChange}} @value={{buttonItem.classes}} @onChange={{fn this.buttonOptionsChanged index}} />

    <div class="mt-3">
      <button class="btn btn-danger btn-delete-button btn-sm" type="button" {{on "click" (fn this.deleteButton index)}}>
        <FaIcon @icon="trash" />
        {{t "delete"}}
      </button>
    </div>
  </div>
  <hr />
{{/each}}

<button class="btn btn-primary btn-add-button btn-sm" type="button" {{on "click" this.addButton}}>
  <FaIcon @icon="plus" />
  {{t "button"}}
</button>
